<?php
declare(strict_types=1);

namespace Catequil\Cli;

use Symfony\Component\Console\Application;

/**
 * Class ConfigProvider
 *
 * @package Catequil\Cli
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-cli
 */
final class ConfigProvider
{
    public const VERSION = '1.0.2';

    public function __invoke(): array
    {
        return [
            'cli' => $this->getCliConfig(),
            'dependencies' => $this->getDependencies(),
        ];
    }

    public function getDependencies(): array
    {
        return [
            'factories' => [
                Application::class => Container\ApplicationFactory::class,
            ],
        ];
    }

    public function getCliConfig(): array
    {
        return [
            'default_command' => '',
        ];
    }
}
